Bug 497648 - Points on graphs represented as 'q' not points
Summary: Points on graphs represented as 'q' not points
Keywords:
Status: CLOSED DUPLICATE of bug 468565
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: 15
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-25 15:30 UTC by chris desjardins
Modified: 2012-03-23 07:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-23 07:37:47 UTC
Type: ---


Attachments (Terms of Use)
Graph where q should be replaced by points (4.91 KB, application/pdf)
2011-04-13 16:40 UTC, chris desjardins
no flags Details

Description chris desjardins 2009-04-25 15:30:24 UTC
Description of problem:
When I look at a graph created in Sweave that has been compiled into a pdf in
Evince then the points in the graph are represented as 'q' not as points.  This
always happens. I filed this bug upstream at http://bugs.freedesktop.org/show_bug.cgi?id=21395 and they informed that this has been fixed but I checked to see if it had in rawhide and it is still present. A temporary fix is to 

~/.fonts.conf

<!-- many PDFs use ZapfDingbats rather than Zapf Dingbats -->
 <alias binding="same">
   <family>ZapfDingbats</family>
   <accept><family>Dingbats</family></accept>
 </alias>


How reproducible:
Always

Steps to Reproduce:
1. View the pdf that is attached in that upstream bug report
  
Actual results:
See 'q' instead of points


Expected results:
See points instead of 'q'

Comment 1 Bug Zapper 2009-06-09 14:33:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Marek Kašík 2009-10-21 14:27:24 UTC
After reading of http://bugs.freedesktop.org/show_bug.cgi?id=21395, it seems that this is a problem of the 'fontconfig' package.

=> reassigning

Marek

Comment 3 Colin Macdonald 2010-03-20 15:44:46 UTC
In current F12 with updates, I still see this bug and need the ~/.font.conf workaround.

Comment 4 Bug Zapper 2010-04-27 13:56:08 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Rex Dieter 2010-04-27 14:00:24 UTC
Re-assigning to f12 per comment #3

Comment 6 Bug Zapper 2010-11-04 11:18:44 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Colin Macdonald 2010-11-04 21:14:47 UTC
Still present in F14.  Work-around still "fixes" it.

Comment 8 Bug Zapper 2010-12-05 06:55:49 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 chris desjardins 2011-04-13 16:06:25 UTC
This bug is still present and should be reopened.

Comment 10 chris desjardins 2011-04-13 16:40:34 UTC
Created attachment 491833 [details]
Graph where q should be replaced by points

I am attaching a pdf that demonstrates this wrong behavior. Again, appending the ~./.fonts.conf file still works.

Comment 11 Tobias Lippert 2011-08-11 16:24:13 UTC
I have the same problem.
The plots are generated with the lattice package for R.
I am sure that many people will have the same problem, but do not enter it into the bugzilla.
Please fix it. It is just one line to /etc/fonts/fonts.conf

Comment 12 Tobias Lippert 2011-08-11 16:24:43 UTC
Oh, and I'm on Fedora 15.

Comment 13 Akira TAGOH 2012-03-23 07:37:47 UTC

*** This bug has been marked as a duplicate of bug 468565 ***


Note You need to log in before you can comment on or make changes to this bug.